Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.utils
Class InvalidCursorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.utils.InvalidCursorException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

    public final class InvalidCursorException

extends weblogic.utils.NestedException

The `InvalidCursorException` exception is thrown when an invalid cursor is passed to a method that expects a cursor.

A cursor is returned from methods used to list objects. You then pass the cursor back to methods that traverse the list. If this exception occurs, verify that this is the same cursor returned from the list method, and that the close method has not been called on this cursor.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`InvalidCursorException(String message)` Constructs a `InvalidCursorException` with the specified detail message.
`InvalidCursorException(String message, Throwable t)` Constructs an `InvalidCursorException` that specifies the detail message and the nested exception.
`InvalidCursorException(Throwable t)` Constructs a `InvalidCursorException` that specifies the nested exception.

Method Summary

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidCursorException

    public InvalidCursorException(String message,
                                  Throwable t)

  Constructs an `InvalidCursorException` that specifies the detail message and the nested exception. A detail message is a String that describes this particular exception.

  Parameters:
    `message` - a String providing additional information about this exception.

    `t` - the exception to be nested inside this exception.

### InvalidCursorException

    public InvalidCursorException(Throwable t)

  Constructs a `InvalidCursorException` that specifies the nested exception.

  Parameters:
    `t` - the exception to be nested inside this exception.

### InvalidCursorException

    public InvalidCursorException(String message)

  Constructs a `InvalidCursorException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `message` - a String providing additional information about this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD